<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
   <head>
      <meta charset="UTF-8" />
      <title>Welcome</title>
	   <!-- Bootstrap CSS -->
	   <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css"
			 integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">

   </head>
   <body>
      <h1>Users List</h1>
      <a th:href="@{/showAddUserForm}"
		 class="btn btn-primary btn-sm mb-3"
	  >Add user</a>
      
      <table class="table table-bordered table-striped" >
      	<thead>
      		<th>ID</th>
      		<th>First name</th>
      		<th>last name</th>
      		<th>age</th>
      		<th>email</th>
      		<th>bourse</th>
      	</thead>
      	
      	<tbody>
      		<tr th:each="user : ${usersList}">
      			<td th:text="${user.id}"></td>
      			<td th:text="${user.firstName}"></td>
      			<td th:text="${user.lastName}"></td>
      			<td th:text="${user.age}"></td>
      			<td th:text="${user.email}"></td>
      			<td th:text="${user.bourse} ? 'Mamnouh' : 'Mamamnouhch'"></td>
				<td> <a th:href="@{/showUpdateUserForm(id=${user.id}) }" class="btn btn-info btn-sm">Edit</a>
					<a th:href="@{/delete(id=${user.id}) }"
					class="btn btn-danger btn-sm"
					onclick="if (!(confirm('Are You sure you want to delete this user ? '))) return false">Delete</a>
				</td>
      		</tr>
      	</tbody>
      
      </table>

   </body>
    
</html>